<?php

namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Financeiro\Entities\Tpdebibanc;

class Bco51100TipodeDebitoBancarioFactory { 
    
    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function getTpdebibanc($codigo, $nrorg){
        $params = array();
        $params['cdtpdebibanc'] = $codigo;
        $params['nrorg'] = $nrorg;
        $tpdebibanc = $this->entityManager->getRepository(Tpdebibanc::class)->findOneBy($params);
        return $tpdebibanc;
    }
}